CRAN Package Check Results for Package BioGeoBEARS

Last updated on 2014-07-26 05:50:36.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.2.1 13.97 79.61 93.58 NOTE
r-devel-linux-x86_64-debian-gcc 0.2.1 13.25 79.06 92.31 NOTE
r-devel-linux-x86_64-fedora-clang 0.2.1 196.24 NOTE
r-devel-linux-x86_64-fedora-gcc 0.2.1 185.49 NOTE
r-devel-osx-x86_64-clang 0.2.1 159.17 NOTE
r-devel-windows-ix86+x86_64 0.2.1 29.00 119.00 148.00 NOTE
r-patched-linux-x86_64 0.2.1 13.23 78.71 91.94 NOTE
r-patched-solaris-sparc 0.2.1 1002.20 NOTE
r-patched-solaris-x86 0.2.1 217.10 NOTE
r-release-linux-ix86 0.2.1 15.36 94.50 109.86 NOTE
r-release-linux-x86_64 0.2.1 13.49 81.22 94.71 NOTE
r-release-osx-x86_64-mavericks 0.2.1 NOTE
r-release-osx-x86_64-snowleopard 0.2.1 ERROR
r-release-windows-ix86+x86_64 0.2.1 23.00 119.00 142.00 NOTE
r-oldrel-windows-ix86+x86_64 0.2.1 30.00 116.00 146.00 NOTE

Check Details

Version: 0.2.1
Check: dependencies in R code
Result: NOTE
    'library' or 'require' calls to packages already attached by Depends:
     ‘ape’ ‘cladoRcpp’ ‘phylobase’ ‘rexpokit’
     Please remove these calls from your code.
    Packages in Depends field not imported from:
     ‘ape’ ‘cladoRcpp’ ‘methods’ ‘phylobase’ ‘rexpokit’
     These packages need to be imported from (in the NAMESPACE file)
     for when this namespace is loaded but not attached.
    ':::' calls which should be '::':
     ‘ape:::floating.pie.asp’ ‘cladoRcpp:::areas_list_to_states_list_old’
     See the note in ?`:::` about the use of this operator.
    See the information on DESCRIPTION files in the chapter ‘Creating R
    packages’ of the ‘Writing R Extensions’ manual.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-devel-windows-ix86+x86_64, r-patched-linux-x86_64, r-patched-solaris-sparc, r-patched-solaris-x86, r-release-linux-ix86, r-release-linux-x86_64, r-release-osx-x86_64-mavericks, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.2.1
Check: package dependencies
Result: ERROR
    Package required but not available: ‘phylobase’
    
    See the information on DESCRIPTION files in the chapter ‘Creating R
    packages’ of the ‘Writing R Extensions’ manual.
Flavor: r-release-osx-x86_64-snowleopard